<?php
/*************************************************************/
/* Responsive & Adblock killer promo 	                     */
/* Webservice file						                     */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

require_once('includes/config.php');
require_once('includes/functions.php');

// Get pseudo from email
$action = filter_input(INPUT_GET, 'action', FILTER_SANITIZE_STRING);
switch ( $action ) {
    case 'pseudo-suggest':

        $email = filter_input(INPUT_GET, 'email', FILTER_VALIDATE_EMAIL);
        if ( empty($email) ) {
            exit;
        }

        $url = 'http://local5.yesmessenger.com/messenger/ws.php';
        $inputs['mod'] = 'register-check';
        $inputs['action'] = 'getpseudofrommail';
        $inputs['base'] = 0;
        $inputs['brut'] = 1;
        $inputs['email'] = $email;

        die(getRemoteFileContent($url . '?' . http_build_query($inputs)));
        exit;

        break;

    case 'geoip':

        $url = 'http://geoip.securitetotale.com/geo_location_array.php';
        $inputs['ip'] = getClientIp();

        die(getRemoteFileContent($url . '?' . http_build_query($inputs)));
        exit;

        break;

}

/**
 * Filter Incoming Data
 * @param  array  $post
 * @return array
 */
function filterInput(array $post = array())
{
    $args = array(
        'actionn' => array(
            'filter' => FILTER_SANITIZE_STRING,
            'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
        'tracker' => array(
            'filter' => FILTER_SANITIZE_STRING,
            'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
        'email' => FILTER_VALIDATE_EMAIL,
        'pseudo' => array(
            'filter' => FILTER_SANITIZE_STRING,
            'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
        'password' => array(
            'filter' => FILTER_SANITIZE_STRING,
            'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
    );

    return array_filter(array_merge(array(
        'tracker' => '',
        'email' => false,
        'pseudo' => false,
        'password' => false,
    ), (array) filter_var_array($post, $args)));

}

/**
 * Validate Inputs
 * @param  array  $inputs
 * @return array
 */
function validateInput(array $inputs = array())
{
    $errors = array();
    if (! isset($inputs['email'])) {
        $errors['email'] = "L'adresse mail est obligatoire.";
    }

    return $errors;
}

header('Content-type: application/json; charset=utf-8');

// Only POST datas alowed
if ('POST' != $_SERVER['REQUEST_METHOD']) {
    die(json_encode(array(
        'status' => 'errors',
        'errors' => array('method' => ' Request Method Not Supported'),
    )));
}

// Filters & validate POST datas
$inputs = filterInput($_POST);
$errors = validateInput($inputs);
if (count($errors)) {
    die(json_encode(array(
        'status' => 'errors',
        'errors' => $errors,
    )));
}

// Remote registering
$url = 'http://local5.yesmessenger.com/messenger/ws.php';
$inputs['format'] = 'json';
$inputs['mod'] = 'webmaster-register';
$inputs['id'] = $config['id'];
$inputs['id_mb'] = $config['id_mb'];
$inputs['mb_form'] = (int)$config['mb_form'];
$inputs['ip'] = getClientIp();
die(getRemoteFileContent($url . '?' . http_build_query($inputs)));